SummaryJUnitResultFormatter (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.junit.SummaryJUnitResultFormatter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.junit
Class SummaryJUnitResultFormatter

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.junit.SummaryJUnitResultFormatter

All Implemented Interfaces:
  JUnitResultFormatter, junit.framework.TestListener

public class SummaryJUnitResultFormatter
extends java.lang.Object
implements JUnitResultFormatter

Prints short summary output of the test to Ant's logging system.

Author:
  Stefan Bodewig

Constructor Summary
`SummaryJUnitResultFormatter()` Empty

Method Summary
`void` | `addError(junit.framework.Test test, java.lang.Throwable t)` Empty
`void` | `addFailure(junit.framework.Test test, junit.framework.AssertionFailedError t)` Interface TestListener for JUnit > 3.4.
`void` | `addFailure(junit.framework.Test test, java.lang.Throwable t)` Empty
`void` | `endTest(junit.framework.Test test)` Empty
`void` | `endTestSuite(JUnitTest suite)` The whole testsuite ended.
`void` | `setOutput(java.io.OutputStream out)` Sets the stream the formatter is supposed to write its results to.
`void` | `setSystemError(java.lang.String err)` This is what the test has written to System.err
`void` | `setSystemOutput(java.lang.String out)` This is what the test has written to System.out
`void` | `setWithOutAndErr(boolean value)` Should the output to System.out and System.err be written to the summary.
`void` | `startTest(junit.framework.Test t)` Empty
`void` | `startTestSuite(JUnitTest suite)` Empty

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SummaryJUnitResultFormatter

    public SummaryJUnitResultFormatter()

  Empty

Method Detail

### startTestSuite

    public void startTestSuite(JUnitTest suite)

  Empty

  Specified by:
    `startTestSuite` in interface `JUnitResultFormatter`

### startTest

    public void startTest(junit.framework.Test t)

  Empty

  Specified by:
    `startTest` in interface `junit.framework.TestListener`

### endTest

    public void endTest(junit.framework.Test test)

  Empty

  Specified by:
    `endTest` in interface `junit.framework.TestListener`

### addFailure

    public void addFailure(junit.framework.Test test,
                           java.lang.Throwable t)

  Empty

### addFailure

    public void addFailure(junit.framework.Test test,
                           junit.framework.AssertionFailedError t)

  Interface TestListener for JUnit > 3.4.

  A Test failed.

  Specified by:
    `addFailure` in interface `junit.framework.TestListener`

### addError

    public void addError(junit.framework.Test test,
                         java.lang.Throwable t)

  Empty

  Specified by:
    `addError` in interface `junit.framework.TestListener`

### setOutput

    public void setOutput(java.io.OutputStream out)

  Description copied from interface: `JUnitResultFormatter`
  Sets the stream the formatter is supposed to write its results to.

  Specified by:
    `setOutput` in interface `JUnitResultFormatter`

### setSystemOutput

    public void setSystemOutput(java.lang.String out)

  Description copied from interface: `JUnitResultFormatter`
  This is what the test has written to System.out

  Specified by:
    `setSystemOutput` in interface `JUnitResultFormatter`

### setSystemError

    public void setSystemError(java.lang.String err)

  Description copied from interface: `JUnitResultFormatter`
  This is what the test has written to System.err

  Specified by:
    `setSystemError` in interface `JUnitResultFormatter`

### setWithOutAndErr

    public void setWithOutAndErr(boolean value)

  Should the output to System.out and System.err be written to the summary.

### endTestSuite

    public void endTestSuite(JUnitTest suite)
                      throws BuildException

  The whole testsuite ended.

  Specified by:
    `endTestSuite` in interface `JUnitResultFormatter`
  Throws:
    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.